/**
 * Usr 部件模型
 *
 * @export
 * @class UsrModel
 */
export default class UsrModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof UsrDashboard_sysportlet2_listMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'srfdescription',
				prop: 'opinion',
				dataType: 'LONGTEXT',
			},
			{
				name: 'srfdate',
				prop: 'ordertime',
				dataType: 'DATE',
			},
			{
				name: 'srficon',
				prop: 'tp',
				dataType: 'LONGTEXT',
			},
			{
				name: 'srfmajortext',
				prop: 'ibizordername',
				dataType: 'TEXT',
			},
			{
				name: 'srfkey',
				prop: 'ibizorderid',
				dataType: 'GUID',
			},
			{
				name: 'ibizcustomerid',
				prop: 'ibizcustomerid',
				dataType: 'PICKUP',
			},
			{
				name: 'wfstep',
				prop: 'wfstep',
				dataType: 'SSCODELIST',
        codelist:{tag:'ORDERSTEP',codelistType:'STATIC'},
			},
			{
				name: 'orderstate',
				prop: 'orderstate',
				dataType: 'SSCODELIST',
        codelist:{tag:'ORDERSTATE',codelistType:'STATIC'},
			},
			{
				name: 'srfmstag',
			},
			{
				name: 'ibizorder',
				prop: 'ibizorderid',
				dataType: 'FONTKEY',
			},
      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'page',
        prop:'page'
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
		]
	}

}